Data Fields | Protected Member Functions

# RandomizedSpriteGroup Struct Reference

Inheritance diagram for RandomizedSpriteGroup:

## Data Fields
VarSpriteGroupScope | var_scope
| Take this object:
RandomizedSpriteGroupCompareMode | cmp_mode
| Check for these triggers:
byte | triggers
byte | count
byte | lowest_randbit
| Look for this in the per-object randomized bitmask:
byte | num_groups
| must be power of 2
const SpriteGroup ** | groups
| Take the group with appropriate index:
## Protected Member Functions
const SpriteGroup * | Resolve (ResolverObject *object) const
| Base sprite group resolver.

## Detailed Description

Definition at line 215 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following files:

- src/newgrf_spritegroup.h
- src/newgrf_spritegroup.cpp